services:
  #Loggable
  Gedmo\Loggable\LoggableListener:
    class: Gedmo\Loggable\LoggableListener
    tags:
      - { name: doctrine.event_subscriber, connection: default }
    calls:
      - [ setAnnotationReader, [ "@annotation_reader" ] ]
  gedmo.listener.timestampable:
    class: Gedmo\Timestampable\TimestampableListener
    tags:
      - { name: doctrine.event_listener, event: 'prePersist' }
      - { name: doctrine.event_listener, event: 'onFlush' }
      - { name: doctrine.event_listener, event: 'loadClassMetadata' }
    calls:
      - [ setAnnotationReader, [ "@annotation_reader" ] ]
